Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.saml
Class AuthenticationStatement

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.saml.Statement
oracle.security.xmlsec.saml.SubjectStatement
oracle.security.xmlsec.saml.AuthenticationStatement`

public class AuthenticationStatement
extends SubjectStatement

Element stating that a subject was authenticated by a particular means at a particular time.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`AuthenticationStatement(org.w3c.dom.Document owner)` Creates a new `AuthenticationStatement` instance.
`AuthenticationStatement(org.w3c.dom.Element element)` Creates a new `AuthenticationStatement` instance from the given Element node.
`AuthenticationStatement(org.w3c.dom.Element element, java.lang.String SystemId)` Creates a new `AuthenticationStatement` instance from the given Element node.

Method Summary
`void` | `addAuthorityBinding(AuthorityBinding authorityBinding)` Adds an `AuthorityBinding` object indicating that additional information about the subject of the statement may be available.
`java.util.Date` | `getAuthenticationInstant()` Returns the authentication instant attribute from this element, or `null` if the attribute is not specified.
`java.lang.String` | `getAuthenticationMethod()` Gets the authentication method attribute from this element, or `null` if the attribute is not specified.
`java.util.List` | `getAuthorityBindings()` Gets the `AuthorityBinding` objects indicating that additional information about the subject of the statement may be available.
`SubjectLocality` | `getSubjectLocality()` Gets the subject locality.
`void` | `setAuthenticationInstant(java.util.Date authenticationInstant)` Sets the authentication instant attribute of this `AuthenticationStatement`.
`void` | `setAuthenticationMethod(java.lang.String authenticationMethod)` Sets the authentication method attribute of this `AuthenticationStatement`.
`void` | `setSubjectLocality(SubjectLocality subjectLocality)` Sets the subject locality consisting of the IP address and/or the DNS domain name of the machine where the authentication took place.

Methods inherited from class oracle.security.xmlsec.saml.SubjectStatement
`getSubject, setSubject`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthenticationStatement

    public AuthenticationStatement(org.w3c.dom.Element element)
                            throws org.w3c.dom.DOMException

  Creates a new `AuthenticationStatement` instance from the given Element node.
Parameters:
  `element` - An AuthenticationStatement element.

### AuthenticationStatement

    public AuthenticationStatement(org.w3c.dom.Element element,
                                   java.lang.String SystemId)
                            throws org.w3c.dom.DOMException

  Creates a new `AuthenticationStatement` instance from the given Element node.
Parameters:
  `element` - An AuthenticationStatement element.

### AuthenticationStatement

    public AuthenticationStatement(org.w3c.dom.Document owner)
                            throws org.w3c.dom.DOMException

  Creates a new `AuthenticationStatement` instance.
Parameters:
  `owner` - The owner document of the new AuthenticationStatement.

Method Detail

### setAuthenticationMethod

    public void setAuthenticationMethod(java.lang.String authenticationMethod)

  Sets the authentication method attribute of this `AuthenticationStatement`.
  Parameters:
    `authenticationMethod` - A `URI` that specifies the type of authentication that took place. Typically, one of the authentication URIs defined in the `SAMLURI` interface.

### getAuthenticationMethod

    public java.lang.String getAuthenticationMethod()

  Gets the authentication method attribute from this element, or `null` if the attribute is not specified.
  Returns:
    A String `URI` representing the means of authentication.

### setAuthenticationInstant

    public void setAuthenticationInstant(java.util.Date authenticationInstant)

  Sets the authentication instant attribute of this `AuthenticationStatement`.
  Parameters:
    `authenticationInstant` - A `Date` object that specifies the time at which the authentication took place.

### getAuthenticationInstant

    public java.util.Date getAuthenticationInstant()

  Returns the authentication instant attribute from this element, or `null` if the attribute is not specified.
  Returns:
    A `Date` object representing the time of authentication.

### setSubjectLocality

    public void setSubjectLocality(SubjectLocality subjectLocality)

  Sets the subject locality consisting of the IP address and/or the DNS domain name of the machine where the authentication took place.
  Parameters:
    `subjectLocality` - A `SubjectLocality` object defining an entity.

### getSubjectLocality

    public SubjectLocality getSubjectLocality()

  Gets the subject locality.
  Returns:
    A `SubjectLocality` object containing an IP address and/or DNS domain name.

### addAuthorityBinding

    public void addAuthorityBinding(AuthorityBinding authorityBinding)

  Adds an `AuthorityBinding` object indicating that additional information about the subject of the statement may be available.
  Parameters:
    `authorityBinding` - An `AuthorityBinding` object.

### getAuthorityBindings

    public java.util.List getAuthorityBindings()

  Gets the `AuthorityBinding` objects indicating that additional information about the subject of the statement may be available.
  Returns:
    A `List` containg `AuthorityBinding` objects or an empty `List` if none has been set.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.